//
// Timer functionality
// (c) 8.10.2016 Ingo D. Rullhusen
//

#ifndef TIMER_H
#define TIMER_H

typedef struct { uint8_t H, h, M, m; } bcd_time;

extern volatile bcd_time CLOCK;

typedef struct { bcd_time on, off; uint8_t band, station; } timer;
extern timer PERMANENT, ONCE;

void timer_var_clear( timer *T );


void timer_init(void);

uint8_t time_input( bcd_time *time );
void time_set( const bcd_time *clk );


void timer_set(void);

void timer_cancel(void);

void timer_check(void);


#endif
